import { jsx } from "react/jsx-runtime";
import { TokenHNS as TokenHNS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHNS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "HNS", "data-name": "TokenHNS", ...props, children: /* @__PURE__ */ jsx(TokenHNS$1, { variant }) });
  }
);
TokenHNS.displayName = "TokenHNS";
Object.assign(TokenHNS, { isGdsIcon: true });
export {
  TokenHNS
};
